Skip to main content
GET
List all Billing Plans

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

status
string

Values can be Active or Suspended.

in_season
string

Datetime parameter that shows all the season sets that are in season on a specific day.

off_season
string

Datetime parameter that shows all the season sets that are not in season on a specific day.

entitlement
string

Filters list for Billing Plans by Entitlement id A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Response

JSON A list array with a data property that contains an array of up to limit Billing Plan, starting after the specified starting_after Billing Plan (or ending before the specified ending_before Account). Each entry in the array is a full Billing Plan object. If no more Billing Plan are available, the resulting array will be empty. This request should never throw an error.

  • “total_count”: Integer count of the number of Billing Plans in the returned list.

  • “url”: The query string provided in the request

  • “next”: The route (partial URL) to the next Billing Plan object (string to select the “next”); included id should match that of the last object returned here

  • “previous”: The route (partial URL) to the previous Billing Plan object (string to select the “previous”); included id should match that of the first object returned here

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
limit
string

A limit on the number of objects to be returned, between 1 and 100.

starting_after
string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call